Subject: Re: [PATCH net-next v2 08/15] net: page_pool: add nlspec for basic access to page pools

From: Jakub Kicinski <[email-masked]>
Date: Tue, 21 Nov 2023 14:00:49 -0800

On Tue, 21 Nov 2023 16:33:25 -0500 Willem de Bruijn wrote:
> > That does not work for "destroyed" pools. In general, there is
> > no natural key for a page pool I can think of.  
> 
> Pools for destroyed devices are attached to the loopback device.
> If the netns is also destroyed, would it make sense to attach
> them to the loopback device in the init namespace?

I remember discussing this somewhere in person... netconf?
I opted for only exposing the cases which are obvious now,
we can extend the API later, once we get some production experience.

> > The IDs are not stable. Any reconfiguration of a device will create
> > a new page pool and therefore assign a new ID. So applications can't
> > hold onto the ID long term.
> > 
> > That said the only use case for exposing the ID right now is to
> > implement do/GET (since there is no other unique key). And manual debug
> > with drgn, but that doesn't require uAPI. So if you prefer strongly
> > I can drop the ID from the uAPI and do/GET support.  
> 
> No, this is fine. I just wanted to make sure that the alternative api
> and netns details were considered beforehand, since it's uapi.

Okay, let me ditch it for now, in the interest of making progress..
It's easily added later.